View Issue Details

IDProjectCategoryView StatusLast Update
0002070SketcherFeaturepublic2017-01-30 23:47
ReporterhinckelAssigned Toabdullah 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Product Version0.15 
Target VersionFixed in Version0.17 
Summary0002070: Bezier curves - Splines in sketcher
DescriptionSince Bezier and splines are already in the Draft Workbench, my understanding is that part of the problem with including them in the sketcher is related to constraints.
I would be happy with a partial functionality:
My problem: I want do draw a branch of a parabola given two fixed points and the tangents to the parabola at the same points. In this case, quadratic Beziers come in nicely, I just need the first point, an out-of-curve point (the point of intersection of the two tangents) and the second point.
The parabola would be fully constrained by locking the end points and fixing the direction of the two tangents (thru the fixed point), or by locking the out-of-curve point.
    Revolve around one of the axes (not necessary coincident with the axis of the parabola) and you have a trunk of a parabola, and voilá; the approximation of a bell shaped rocket expansion nozzle.
    A saddle may also be generated.

For higher order Bezier or splines, a similar approach of locking end and internal points and the derivatives at the end points would probably generate useful curves.
Tagsbezier curve

Relationships

related to 0000940 closedwmayer Sketcher Add new tool function "Spline" on sketcher 
related to 0002294 closedyorik FreeCAD Some step files are not imported correctly 

Activities

DeepSOIC

2016-02-05 14:52

developer   ~0006806

Hi!
Parabola can be well approximated with a very large elongated arc of ellipse.

Kunda1

2017-01-27 03:44

manager   ~0008017

@hinckel
please check https://forum.freecadweb.org/viewtopic.php?f=10&t=9364

Kunda1

2017-01-30 13:45

manager   ~0008103

@hinckel please respond to @abdullah in https://forum.freecadweb.org/viewtopic.php?f=10&t=9364&start=160#p156323

Kunda1

2017-01-30 23:47

manager   ~0008114

per OP in https://forum.freecadweb.org/viewtopic.php?f=10&t=9364&p=157156#p157156

Issue History

Date Modified Username Field Change
2015-04-26 22:22 hinckel New Issue
2015-04-27 08:14 wmayer Relationship added related to 0000940
2016-01-31 19:06 yorik Relationship added related to 0002294
2016-02-05 14:52 DeepSOIC Note Added: 0006806
2017-01-17 17:20 Kunda1 Tag Attached: bezier curve
2017-01-27 03:44 Kunda1 Note Added: 0008017
2017-01-27 03:44 Kunda1 Status new => feedback
2017-01-27 03:45 Kunda1 Tag Attached: #pending
2017-01-30 13:45 Kunda1 Note Added: 0008103
2017-01-30 23:46 Kunda1 Tag Detached: #pending
2017-01-30 23:47 Kunda1 Note Added: 0008114
2017-01-30 23:47 Kunda1 Status feedback => closed
2017-01-30 23:47 Kunda1 Assigned To => abdullah
2017-01-30 23:47 Kunda1 Resolution open => fixed
2017-01-30 23:47 Kunda1 Fixed in Version => 0.17